Limerence
Spaces

Get Artifact Text

Read an artifact as UTF-8 text. `.space/` and `.user/` paths do not require chatId; chat-scoped paths require chatId.

GET
/spaces/{id}/artifacts/text

Read an artifact as UTF-8 text. .space/ and .user/ paths do not require chatId; chat-scoped paths require chatId.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Query Parameters

path*string
chatId?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/spaces/string/artifacts/text?path=string"
"string"
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "spaces/artifact-not-found",    "detail": "The requested artifact was not found."  },  "message": "Artifact not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}